# /etc/ssmtp/ssmtp.conf module for Puppet

## Description
Puppet module for managing the /etc/ssmtp/ssmtp.conf file.

## Example usage

class { 'ssmtp':
    root    => "user@internal.example.com",
    mailhub => "mail.internal.example.com"
  }
  
### Resulting file

#### /etc/ssmtp/ssmtp.conf

	# This file is automatically generated by Puppet
	#
	# Any changes made to this file will be lost on the next automated Puppet run!
	
	# The person who gets all mail for user IDs < 1000
	root=user@internal.example.com
	
	# The place where the mail goes
	mailhub=mail.internal.example.com
	
	# The full hostname
	hostname=somehost.internal.example.com

## Additional options

`$port` can be used to specify which port to connect to on the mail hub (default: 25).
`$hostname` can be used to override the name of the local machine.
`$usessl` if set to true then SSL will be used when connecting to the mail hub (default: false).  This will
also set the default port to 465 unless `$port` is specified.
`$usetls` if set to true then TLS will be used when connecting to the mail hub (default: false).
`$usetlscert` if set to true then a TLS certificate will be used when connecting to the mail hub (default: false).
`$tlscert` when `$usetlscert` is set the path to the TLS client certificate should be specified here.
